Subject: Re: [RFC, VLAN]: Propagate selected feature bits to VLAN devices

From: Patrick McHardy <[email-masked]>
Date: Tue, 20 May 2008 18:27:33 +0200

Ben Hutchings wrote:
> Ben Greear wrote:
>> Patrick McHardy wrote:
>>> Ben Hutchings wrote:
>>>> I really don't think it's a good idea to move around existing flags.  
>>>> How
>>>> about stealing some of the unused high-order bits of NETIF_F_GSO_MASK
>>>> instead?
>>>
>>> Mhh it doesn't really belong there. Whats the problem with
>>> moving these bits? They are only used internally (and use
>>> up too much space anyway).
>> I've been running with it shifted to 24 on 2.6.25 with no problems.   If 
>> no one else objects, I'd prefer it shifted all the way
>> to 24 to make room for more flags w/out additional changes in the 
>> shiftage later...
> 
> I would certainly be happy to see NETIF_F_GSO_MASK narrowed.  It's just a
> question of whether the low-order or high-order bits are removed.  My
> instinct is not to change the existing assigned flags if it's not really
> necessary.  They are exposed through /sys/class/net/ even if the flag
> names aren't part of the user-land headers.

I don't really care which bits exactly are used, so sure, I'll
update it before sending a final patch. But frankly, these bits
shouldn't have been exported through sysfs in the first place.